<?
/*
#===========================
# chk_login.php
# [管理员登录检验]
#===========================

*/


$_path=str_replace('\\','/',dirname(__FILE__)).'/';
$_path_root=str_replace('\\','/',dirname(dirname(__FILE__))).'/';

header("Content-type: text/html; charset=utf-8");
header("P3P: CP=CAO PSA OUR");


include($_path_root.'include/common.php');
include($_path_root.'include/config.php');
include($_path_root.'include/db_mysql_v5.0.php');
include($_path_root.'include/functions.php');
include($_path_root.'include/functions_session.php');

$_menu  =getpost('_menu');
$page   =getpost('page',1);
$id     =getpost('id',1);
$info   =getpost('info',1);

$SS=new _session('__loginAdmin');
$login_userid=$SS->getuser();
if (empty($login_userid))
{
	if(!empty($_menu)) $_SESSION['_visit_url_admin']=$_SERVER['REQUEST_URI'];
	header("location: index.php?info=1");
	exit;
}


$_pagename ='admin.php';
$_filename=substr($_pagename,strrpos($_pagename,'/')+1);

$_menunow='';

$DB=new DB_MYSQL();


$setConf=Array();
$resultConf=$DB->query("select conf_name,conf_value from ".$Tbl['setting']."");
$setConf=$DB->fetch_array($resultConf,1,'conf_name','conf_value');


$confing_file=$_path_root."api/api_config.php";
$filestring=@file_get_contents($confing_file);
$xmlConf=array();
preg_match_all("/<([_a-z0-9]+)>(.*)<\/\\1>/i", $filestring, $result);
foreach ($result[1] as $k => $v)
{
	if(!isset($xmlConf[$v])) $xmlConf[$v]=$result[2][$k];
}

$_order_list_url='';
if (!empty($xmlConf['cp_domain']) and strlen($xmlConf['cp_domain'])>5)
{
	$_order_list_url='https://'.$xmlConf['cp_domain'].'/admin/admin.php?_menu=orderinfo&id=';
}


//定义主菜单
$_MENU_CONF=Array();
$_MENU_CONF['config']=Array('','系统管理','set_sys.php','系统配置下所有内容仅允许“系统管理员”操作');
$_MENU_CONF['user']    =Array('','会员管理','users_info.php',1);
$_MENU_CONF['fund']  =Array('','财务管理','users_fund.php',1);

//定义二级菜单
$_MENU_SET=$_MENU_CONF;

$_MENU_SET['config']   =Array('','系统配置','set_sys.php',1);
//$_MENU_SET['setapi']   =Array('config','接口配置','set_api.php',1);
$_MENU_SET['setsmtp']  =Array('config','邮箱SMTP账号','set_smtp.php',1);
$_MENU_SET['setadmin'] =Array('config','管理员设置','set_admin.php',1);
$_MENU_SET['paymode']  =Array('config','付款方式','users_paymode.php',1);
$_MENU_SET['fundreport']=Array('config','财务统计','users_fund_report.php',1);
$_MENU_SET['safe']   =Array('config','安全管理','set_safe.php',1);

$_MENU_SET['maillog']  =Array('user','邮件发送记录','users_maillog.php',1);
$_MENU_SET['userlog']  =Array('user','资料变更日志','users_log.php',1);
$_MENU_SET['fund']     =Array('fund','财务管理','users_fund.php',1);
$_MENU_SET['funds']    =Array('fund','付款记录','users_fund.php',1);
$_MENU_SET['paylog']   =Array('fund','付款确认','users_paylog.php',1);
$_MENU_SET['payrec']   =Array('fund','在线支付自动确认','users_payrec.php',1);

if ($_menu=='_logout')
{
	$ip=getip();
	if ($login_userid>0)
	{
		//$DB->cplog($login_userid,'LOGOUT','退出登录!');
	}
	$SS->out();
	header("location: index.php?info=4");
	exit;
}

// Access check ----------------------------------

$uinfo=$DB->query("select * from ".$Tbl['user']." where user_stat<4 and user_type>7 and user_id=".$login_userid,1);
if (empty($uinfo) or $uinfo['user_type']<8)
{
	if(!empty($_menu)) $_SESSION['_visit_url_admin']=$_SERVER['REQUEST_URI'];
	header("location: index.php?info=3");
	exit;
}
$check_tag=$SS->check($login_userid,$uinfo['user_password']);
if ($check_tag>0)
{
	if(!empty($_menu)) $_SESSION['_visit_url_admin']=$_SERVER['REQUEST_URI'];
	header("location: index.php?info=$check_tag");
	exit;
}


if (empty($_menu))
{
	$_menu='_welcome';
}

if ($_menu=='_upload' or $_menu=='setprice')
{
	;
}
else if (!empty($_menu))
{
	$_menu_top=$_MENU_SET[$_menu][0];
	if (empty($_menu_top) and isset($_MENU_CONF[$_menu]))
	{
		$_menu_top=$_menu;
	}

	$_pagelink ='_menu='.$_menu.'&';
	$_pagehidden='<input type="hidden" name="_menu" value="'.$_menu.'">';
	if ($_menu=='_welcome')
	{
		$page_title='首页';
		include('admin_welcome.php');
	}
	else if($_menu=='_passwd')
	{
		$page_title='更改密码';
		include('admin_pass.php');
	}
	else if ($uinfo['user_type']<8 or $uinfo['user_type']>9)
	{
		$Msg='您无权限访问本页！&nbsp; 请<a href="javascript:history.back();"><b>返回上页</b></a>';
		include('admin_model.php');
		exit;
	}
	else if ($uinfo['user_type']==8 and ($_menu_top=='config' or strlen($_menu_top)>0 and !preg_match("/,$_menu_top,/i",','.$uinfo['user_config'].',')))
	{
		$Msg='您无权限访问本页！&nbsp; 请<a href="javascript:history.back();"><b>返回上页</b></a>';
		include('admin_model.php');
		exit;
	}
	else if ($uinfo['user_type']==8 and $_menu=='fundrep')
	{
		$Msg='您无权限访问本页！&nbsp; 请<a href="javascript:history.back();"><b>返回上页</b></a>';
		include('admin_model.php');
		exit;
	}
	else if (empty($_MENU_SET[$_menu][2]) or !file_exists($_MENU_SET[$_menu][2]))
	{
		$page_title=$_MENU_SET[$_menu][0];
		$Msg=$_MENU_SET[$_menu][2].'库文件不存在！';
		include('admin_model.php');
		exit;
	}
	else
	{
		include($_MENU_SET[$_menu][2]);
		$menu_sub='';
		$n=0;
		if (strlen($_menu_top)>0)
		{
			foreach ($_MENU_SET as $_m=>$arr)
			{
				if (empty($arr[3])) continue;
				if ($_menu_top==$_m or $_menu_top==$arr[0])
				{
					$menu_sub=$menu_sub.' <a href="'.$_pagename.'?_menu='.$_m.'" '.($_menu==$_m ? ' style="color:#EE0000;"' :"").'>['.$arr[1].']</a>&nbsp; ';
					$n++;
				}
			}

			if ($n>1)
			{
				$menu_sub='<img src="../style/default_images/go.gif" width="12" height="12" alt="abstop" vspace="-1" hspace="3" /><b><font style="color:#AA0000;">'.$_MENU_CONF[$_menu_top][1].'</font>： '.$menu_sub;
			}
			else
			{
				$menu_sub='';
			}
		}
	}

	//---------------- 显示 ----------------
	include('admin_model.php');
	exit;
}




?>