<?php
/*
	SMTPʼͳ
	===========================
*/

$mailcfg=Array();
$mailcfg['smtp_auth'] =1;
$mailcfg['smtp_port'] =25;
$mailcfg['smtp_server']   ="";
$mailcfg['smtp_username'] ="";
$mailcfg['smtp_password'] ="";

function mailto($email_to,$email_subject,$email_message,$type='text',$charset='GBK')
{
	global $mailcfg;
	$isHTML=0;
	if(preg_match('/^html/i',$type)) $isHTML=1;

	$mailcfg['from']=$mailcfg['smtp_username'];
	if(!$fp = @fsockopen($mailcfg['smtp_server'], $mailcfg['smtp_port'], $errno, $errstr, 30)) {
		mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) CONNECT - $errstr", 0);
		return 'connet error:'.$errstr;
	}
	@stream_set_blocking($fp, true);

	$lastmessage = fgets($fp, 512);
	if(substr($lastmessage, 0, 3) != '220') {
		mailerrorlog('SMTP', "$mailcfg[smtp_server]:$mailcfg[smtp_port] CONNECT - $lastmessage", 0);
		return 'connet error:'.$lastmessage;
	}

	fputs($fp, ($mailcfg['smtp_auth'] ? 'EHLO' : 'HELO')." mail\r\n");
	$lastmessage = fgets($fp, 512);
	if(substr($lastmessage, 0, 3) != 220 && substr($lastmessage, 0, 3) != 250) {
		mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) HELO/EHLO - $lastmessage", 0);
		return "Error1:".$lastmessage;
	}

	while(1) {
		$lastmessage = fgets($fp, 512);
		if(substr($lastmessage, 3, 1) != '-' || empty($lastmessage)) {
			break;
		}
	}

	if($mailcfg['smtp_auth']) {
		fputs($fp, "AUTH LOGIN\r\n");
		$lastmessage = fgets($fp, 512);
		if(substr($lastmessage, 0, 3) != 334) {
			mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) AUTH LOGIN - $lastmessage", 0);
			return "Error2:".$lastmessage;
		}

		fputs($fp, base64_encode($mailcfg['smtp_username'])."\r\n");
		$lastmessage = fgets($fp, 512);
		if(substr($lastmessage, 0, 3) != 334) {
			mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) USERNAME - $lastmessage", 0);
			return "Error3:".$lastmessage;
		}

		fputs($fp, base64_encode($mailcfg['smtp_password'])."\r\n");
		$lastmessage = fgets($fp, 512);
		if(substr($lastmessage, 0, 3) != 235) {
			mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) PASSWORD - $lastmessage", 0);
			return "Error4:".$lastmessage;
		}

	}
	$email_from= $mailcfg['from'];
	fputs($fp, "MAIL FROM: ".preg_replace("/.*\<(.+?)\>.*/", "\\1", $email_from)."\r\n");
	$lastmessage = fgets($fp, 512);
	if(substr($lastmessage, 0, 3) != 250) {
		fputs($fp, "MAIL FROM: <".preg_replace("/.*\<(.+?)\>.*/", "\\1", $email_from).">\r\n");
		$lastmessage = fgets($fp, 512);
		if(substr($lastmessage, 0, 3) != 250) {
			mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) MAIL FROM - $lastmessage", 0);
			return "Error5:".$lastmessage;
		}
	}

	foreach(explode(',', $email_to) as $touser) {
		$touser = trim($touser);
		if($touser) {
			fputs($fp, "RCPT TO: $touser\r\n");
			$lastmessage = fgets($fp, 512);
			if(substr($lastmessage, 0, 3) != 250) {
				fputs($fp, "RCPT TO: <$touser>\r\n");
				$lastmessage = fgets($fp, 512);
				if(substr($lastmessage, 0, 3) != 250) {
					mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) RCPT TO - $lastmessage", 0);
					return "Error6:".$lastmessage;
				}
			}
		}
	}

	fputs($fp, "DATA\r\n");
	$lastmessage = fgets($fp, 512);
	if(substr($lastmessage, 0, 3) != 354) {
		mailerrorlog('SMTP', "($mailcfg[smtp_server]:$mailcfg[smtp_port]) DATA - $lastmessage", 0);
		return "Error7:".$lastmessage;
	}

	if ($isHTML==1)
	{
		$headers="Content-type: text/html;charset=$charset;";
	}
	else
	{
		$headers="Content-type: text/plain;charset=$charset;";
	}

	if (preg_match('/@tom\.com$/i',$email_to) and $isHTML!=1)
	{
		$email_message=nl2br($email_message);
		$email_message=preg_replace("/(http:\/\/[^ ]+)/is",'<A HREF="\\1" target="_blank">\\1</A>',$email_message);
		$email_message=str_replace('  ',' &nbsp;',$email_message);
		$headers="Content-type: text/html;charset=$charset;";
	}

	$subject="=?$charset?B?".base64_encode($email_subject)."?=";
	fputs($fp, "To: $email_to\r\nFrom: $email_from\r\nSubject:$subject\r\n$headers\r\n\r\n$email_message\r\n.\r\n"); 
	$lastmessage = fgets($fp, 512);
	fputs($fp, "QUIT\r\n");
	if(substr($lastmessage, 0, 3) != 250){
		return "Error8:".$lastmessage;
	}
	else {
		return '';//ȷ
	}

}



function mailerrorlog($type,$str,$ss)
{
	;
}
?>