#2012-3-23

SET character_set_connection=latin1, character_set_results=latin1, character_set_client=binary;

CREATE TABLE `site_config` (
  `conf_name` varchar(50) NOT NULL,
  `conf_value` varchar(500) default NULL,
  `conf_cont` varchar(5000) default NULL,
  PRIMARY KEY  (`conf_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



INSERT INTO `site_config` (`conf_name`, `conf_value`, `conf_cont`) VALUES ('site_name', '火山云主机测试', NULL);

CREATE TABLE `site_fund` (
  `fund_id` int(10) NOT NULL auto_increment,
  `fund` decimal(7,2) default '0.00',
  `fund_stat` tinyint(1) NOT NULL default '0',
  `fund_type` tinyint(3) NOT NULL default '0',
  `fund_paymode_id` int(10) NOT NULL default '0',
  `user_id` int(10) NOT NULL default '0',
  `fund_date` date NOT NULL default '0000-00-00',
  `fund_orderid` int(10) NOT NULL default '0',
  `fund_remark` varchar(250) default NULL,
  `fund_ip` varchar(15) NOT NULL default '',
  `add_user` int(10) NOT NULL default '0',
  `add_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `check_user` tinyint(1) NOT NULL default '0',
  `check_time` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`fund_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=10001 ;

INSERT INTO `site_fund` (`fund_id`, `fund`, `fund_stat`, `fund_type`, `fund_paymode_id`, `user_id`, `fund_date`, `fund_orderid`, `fund_remark`, `fund_ip`, `add_user`, `add_time`, `check_user`, `check_time`) VALUES (1, '2000.00', 0, 0, 3001, 10001, '2011-09-15', 0, '测试款', '', 10001, '2011-08-05 14:40:53', 0, '0000-00-00 00:00:00');

CREATE TABLE `site_mail` (
  `mail_id` int(10) NOT NULL auto_increment,
  `mail_stat` tinyint(1) NOT NULL default '0',
  `mail_senttime` datetime NOT NULL default '0000-00-00 00:00:00',
  `user_id` int(10) NOT NULL default '0',
  `mail_to` varchar(200) NOT NULL default '',
  `mail_title` varchar(200) NOT NULL default '',
  `mail_cont` text default NULL,
  `mail_errmsg` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`mail_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=10001;


CREATE TABLE `site_paylogs` (
  `pay_id` varchar(32) NOT NULL default '',
  `pay_fund` decimal(10,2) NOT NULL default '0.00',
  `pay_stat` enum('wait','succ','fail','del') default 'wait',
  `user_id` int(10) NOT NULL default '0',
  `paymode_id` int(10) NOT NULL default '0',
  `pay_ip` char(15) NOT NULL default '',
  `pay_addtime` datetime NOT NULL default '0000-00-00 00:00:00',
  `pay_rectime` datetime NOT NULL default '0000-00-00 00:00:00',
  `pay_fund_id` int(10) NOT NULL default '0',
  `pay_remark` varchar(250) default NULL,
  `pay_admin_id` int(10) NOT NULL default '0',
  `pay_result` varchar(255) default NULL,
  PRIMARY KEY  (`pay_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



CREATE TABLE `site_paymode` (
  `paymode_id` int(4) NOT NULL default '0',
  `paymode_title` varchar(30) default NULL,
  `paymode_stat` tinyint(1) NOT NULL default '0',
  `paymode_name` varchar(200) default NULL,
  `paymode_type` tinyint(1) NOT NULL default '0',
  `paymode_account` varchar(200) NOT NULL default '',
  `paymode_logo` varchar(60) default NULL,
  `paymode_api_id` varchar(200) default NULL,
  `paymode_api_key` varchar(200) default NULL,
  `paymode_api_code` text,
  `paymode_addtime` datetime NOT NULL default '0000-00-00 00:00:00',
  `paymode_remark` varchar(250) default NULL,
  PRIMARY KEY  (`paymode_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


INSERT INTO site_paymode (paymode_id, paymode_title, paymode_stat, paymode_name, paymode_type, paymode_account, paymode_logo, paymode_api_id, paymode_api_key, paymode_api_code, paymode_addtime, paymode_remark) VALUES (1001, '支付宝在线支付', 1, '支付宝', 2, 'alipay@qq.com', 'pay101_logo.gif', '222222', '9wyu', '<?PHP\r\n/*\r\n * 支付宝在线支付模块\r\n * 2012.2.6 更新\r\n */\r\n\r\n\r\n/*\r\n	@$data 参数说明(除注明的外，其它值在pay_sent及pay_respond均可用)\r\n	$data=Array();\r\n	$data[\'api_id\'] =\'在线支付账号ID\';	 #从数据库中读取[在线支付账号ID]\r\n	$data[\'api_key\']=\'在线支付接口密钥\';   #从数据库中读取[在线支付接口密钥](加密后保存)\r\n\r\n	$data[\'account\']=\'签约支付宝账号或卖家支付宝帐户\'; #从数据库中读取的[开户账号]，部分在线支付不需要此值\r\n	$data[\'receive\']=\'交易过程中服务器通知的页面\';	 #由系统设置，不允许用户修改,仅在pay_sent有值\r\n	$data[\'siteurl\']=\'网站URL\';		#从数据库中读取胜,仅在pay_sent有值\r\n	$data[\'usermail\']=\'用户邮箱地址\';  #从数据库中读取\r\n\r\n	$data[\'fund\']  =\'支付金额\';		#支付时使用,仅在pay_sent有值\r\n\r\n	$data[\'payid\'] =\'支付流水号\';\r\n	$data[\'payfund\']=\'数据库中的金额\'; #接收响应时使用,仅在pay_respond有值\r\n	$data[\'paytype\']=\'支付方式编号\';\r\n	$data[\'result\'] =\'响应时的备注\';   #在接收响应时可将备注赋予此值，将会被写入到付款确认记录的“结果反馈”中\r\n */\r\n\r\n\r\n/*\r\n * 接口设置（根据支付方式不同可能不同）\r\n */\r\n$pay_sign_type	  = "MD5";	//加密方式 不需修改\r\n$pay_input_charset  = "UTF-8";	//字符编码格式 目前支持 GBK 或 utf-8 \r\n$pay_transport	  = "http";	//访问模式,根据自己的服务器是否支持ssl访问，若支持请选择https；若不支持请选择http\r\n$pay_method		 = "directPay";	//默认支付方式，四个值可选：bankPay(网银); cartoon(卡通); directPay(余额); CASH(网点支付\r\n\r\n\r\n/*\r\n * 提交用户支付请求\r\n * 流程：处理用户提交数据，并转向到第三方支付平台。转向后供用户操作将在第三方平台执行\r\n * @return ：正常时直接转向到第三方平台并结束程序（如exit或die），不用返回。若有错误，请返回错误信息，由支付主程序显示错误信息\r\n */\r\nfunction pay_sent(&$data)\r\n{\r\n	global $pay_sign_type,$pay_input_charset,$pay_transport,$pay_method;\r\n	$parameter = array(\r\n		"service"	 => "create_direct_pay_by_user",\r\n		"payment_type"=>"1",				  // 商品支付类型 1 ＝商品购买 2＝服务购买 3＝网络拍卖 4＝捐赠 5＝邮费补偿 6＝奖金\r\n\r\n		"partner"	 =>$data[\'api_id\'],			 //合作商户号\r\n		//"agent"=> $agent,//合作厂商ID\r\n		"seller_email" => $data[\'account\'],   //卖家邮箱，必填\r\n		//"return_url" =>"",  //同步返回，\r\n		"notify_url"  =>$data[\'receive\'],  //返回地址\r\n		"show_url"	=> $data[\'siteurl\'],   //商品相关网站公司\r\n		"_input_charset" => $pay_input_charset, //字符集，默认为GBK\r\n\r\n		"subject"	 => "在线预付款",	 //商品名称，必填\r\n		"out_trade_no"=> $data[\'payid\'] ,	//支付流水号，必填。 此值在用户支付时生成，不允许修改\r\n		"total_fee"   => $data[\'fund\'],	//商品单价，必填\r\n\r\n		"paymethod"   => $pay_method,\r\n		"defaultbank" => "",\r\n\r\n		"buyer_email" => $data[\'usermail\'] //如果不需要此项，可屏蔽或删除此行\r\n	);\r\n\r\n	$alipay = new alipay_service($parameter,$data[\'api_key\'],$pay_sign_type);\r\n	$link=$alipay->create_url();\r\n	header(\'location: \'.$link); //转到支付宝的支付平台\r\n	exit;\r\n}\r\n\r\n/*\r\n * 读取交易ID\r\n */\r\nfunction pay_getid()\r\n{\r\n	return trim($_REQUEST[\'out_trade_no\']);\r\n}\r\n\r\n/*\r\n * 处理第三方平台的确认请求，确认后自动入账\r\n * 流程：根据支付平台请求数据判断是否为合法请求。若支付平台需要反回数据，请在本函数中输出。\r\n * @return ：正确时返回Y，错误时返回错误信息。支付主程序在调用本函数后不作任何显示（输出）操作\r\n */\r\nfunction pay_respond(&$data)\r\n{\r\n	global $pay_sign_type,$pay_input_charset,$pay_transport;\r\n	$alipay = new alipay_notify($data[\'api_id\'],$data[\'api_key\'],$pay_sign_type,$pay_input_charset,$pay_transport);\r\n	$verify_result = $alipay->notify_verify();\r\n	if($verify_result) {\r\n		echo "success"; //支付宝系统需要\r\n		$data[\'result\']=$_REQUEST[\'trade_no\'];\r\n		$v_oid	=trim($_REQUEST[\'out_trade_no\']);\r\n		$pay_fund =doubleval($_REQUEST[\'total_fee\']);\r\n\r\n		//检查金额及支付流水号是否一致，如果一致才返回Y\r\n		//系统接收到Y会自动为会员入款，接收不到Y则不入款\r\n		if ($data[\'payfund\']==$pay_fund and $data[\'payid\']==$v_oid)\r\n		{\r\n			return \'Y\';\r\n		}\r\n		return "error";\r\n	}\r\n	else\r\n	{\r\n		echo "fail";//支付宝系统需要\r\n		return "error!";\r\n	}\r\n}\r\n\r\n\r\n// 日志消息,把支付宝返回的参数记录下来\r\n/* log_result 在下面的函数中会用到，不要更改名称 */\r\nfunction  log_result($word) {\r\n	pay_log_mysql($word);\r\n}\r\n\r\n/*\r\n ***************************************************************\r\n *  以上代码为用户代码，可根据情况修改\r\n ***************************************************************\r\n */\r\n\r\n/*\r\n ***************************************************************\r\n *  以下代码为支付宝代码，不要修改\r\n ***************************************************************\r\n */\r\n\r\n\r\n\r\n/**生成签名结果\r\n *$array要加密的数组\r\n *return 签名结果字符串\r\n*/\r\nfunction build_mysign($sort_array,$security_code,$sign_type = "MD5") {\r\n	$prestr = create_linkstring($sort_array);	 	//把数组所有元素，按照“参数=参数值”的模式用“&”字符拼接成字符串\r\n	$prestr = $prestr.$security_code;				//把拼接后的字符串再与安全校验码直接连接起来\r\n	if($sign_type == \'MD5\') {\r\n		$mysign = md5($prestr);\r\n	}elseif($sign_type ==\'DSA\') {\r\n		//DSA 签名方法待后续开发\r\n		die("DSA 签名方法待后续开发，请先使用MD5签名方式");\r\n	}else {\r\n		die("支付宝暂不支持".$sign_type."类型的签名方式");\r\n	}\r\n	return $mysign;\r\n}\r\n\r\n\r\n/********************************************************************************/\r\n\r\n/**把数组所有元素，按照“参数=参数值”的模式用“&”字符拼接成字符串\r\n	*$array 需要拼接的数组\r\n	*return 拼接完成以后的字符串\r\n*/\r\nfunction create_linkstring($array) {\r\n	$arg  = "";\r\n	while (list ($key, $val) = each ($array)) {\r\n		$arg.=$key."=".$val."&";\r\n	}\r\n	$arg = substr($arg,0,count($arg)-2);			 //去掉最后一个&字符\r\n	return $arg;\r\n}\r\n\r\n/********************************************************************************/\r\n\r\n\r\n/**把数组所有元素，按照“参数=参数值”的模式用“&”字符拼接成字符串\r\n **使用场景：GET方式请求时，对URL的中文进行编码\r\n	*$array 需要拼接的数组\r\n	*return 拼接完成以后的字符串\r\n*/\r\nfunction create_linkstring_urlencode($array) {\r\n	$arg  = "";\r\n	while (list ($key, $val) = each ($array)) {\r\n		if ($key != "service" && $key != "_input_charset")\r\n			$arg.=$key."=".urlencode($val)."&";\r\n		else $arg.=$key."=".$val."&";\r\n	}\r\n	$arg = substr($arg,0,count($arg)-2);			 //去掉最后一个&字符\r\n	return $arg;\r\n}\r\n\r\n/********************************************************************************/\r\n\r\n/**除去数组中的空值和签名参数\r\n	*$parameter 加密参数组\r\n	*return 去掉空值与签名参数后的新加密参数组\r\n */\r\nfunction para_filter($parameter) {\r\n	$para = array();\r\n	while (list ($key, $val) = each ($parameter)) {\r\n		if($key == "sign" || $key == "sign_type" || $val == "")continue;\r\n		else	$para[$key] = $parameter[$key];\r\n	}\r\n	return $para;\r\n}\r\n\r\n/********************************************************************************/\r\n\r\n/**对数组排序\r\n	*$array 排序前的数组\r\n	*return 排序后的数组\r\n */\r\nfunction arg_sort($array) {\r\n	ksort($array);\r\n	reset($array);\r\n	return $array;\r\n}\r\n\r\n\r\n\r\n\r\n/********************************************************************************/\r\n\r\n\r\n\r\nclass alipay_service {\r\n\r\n	var $gateway;       //网关地址\r\n	var $security_code; //安全校验码\r\n	var $mysign;        //加密结果（签名结果）\r\n	var $sign_type;     //加密类型\r\n	var $parameter;     //需要加密的参数数组\r\n	var $_input_charset;//字符编码格式\r\n\r\n	/**构造函数\r\n	*从配置文件及入口文件中初始化变量\r\n	*$parameter 需要加密的参数数组\r\n	*$security_code 安全校验码\r\n	*$sign_type 加密类型\r\n	*/\r\n	function alipay_service($parameter,$security_code,$sign_type) {\r\n		$this->gateway        = "https://www.alipay.com/cooperate/gateway.do?";\r\n		$this->security_code  = $security_code;\r\n		$this->sign_type      = $sign_type;\r\n		$this->parameter      = para_filter($parameter);\r\n\r\n		//设定_input_charset的值,为空值的情况下默认为GBK\r\n		if($parameter[\'_input_charset\'] == \'\')\r\n			$this->parameter[\'_input_charset\'] = \'GBK\';\r\n\r\n		$this->_input_charset   = $this->parameter[\'_input_charset\'];\r\n\r\n		//获得签名结果\r\n		$sort_array   = arg_sort($this->parameter);	//得到从字母a到z排序后的加密参数数组\r\n		$this->mysign = build_mysign($sort_array,$this->security_code,$this->sign_type);\r\n	}\r\n\r\n	/********************************************************************************/\r\n\r\n	/**构造请求URL（GET方式请求）\r\n	*return 请求url\r\n	 */\r\n	function create_url() {\r\n		$url         = $this->gateway;\r\n		$sort_array  = array();\r\n		$sort_array  = arg_sort($this->parameter);\r\n		$arg         = create_linkstring_urlencode($sort_array);	//把数组所有元素，按照“参数=参数值”的模式用“&”字符拼接成字符串\r\n		\r\n		//把网关地址、已经拼接好的参数数组字符串、签名结果、签名类型，拼接成最终完整请求url\r\n		$url.= $arg."&sign=" .$this->mysign ."&sign_type=".$this->sign_type;\r\n		return $url;\r\n	}\r\n\r\n	/********************************************************************************/\r\n\r\n	/**构造Post表单提交HTML（POST方式请求）\r\n	*return 表单提交HTML文本\r\n	 */\r\n	function build_postform() {\r\n\r\n		$sHtml = "<form id=\'alipaysubmit\' name=\'alipaysubmit\' action=\'".$this->gateway."_input_charset=".$this->parameter[\'_input_charset\']."\' method=\'post\'>";\r\n\r\n		while (list ($key, $val) = each ($this->parameter)) {\r\n			$sHtml.= "<input type=\'hidden\' name=\'".$key."\' value=\'".$val."\'/>";\r\n		}\r\n\r\n		$sHtml = $sHtml."<input type=\'hidden\' name=\'sign\' value=\'".$this->mysign."\'/>";\r\n		$sHtml = $sHtml."<input type=\'hidden\' name=\'sign_type\' value=\'".$this->sign_type."\'/></form>";\r\n\r\n		$sHtml = $sHtml."<input type=\'button\' name=\'v_action\' value=\'支付宝确认付款\' onClick=\'document.forms[\\"alipaysubmit\\"].submit();\'>";\r\n		return $sHtml;\r\n	}\r\n	/********************************************************************************/\r\n\r\n}\r\n\r\n\r\nclass alipay_notify {\r\n	var $gateway;        //网关地址\r\n	var $security_code;  //安全校验码\r\n	var $partner;        //合作伙伴ID\r\n	var $sign_type;      //加密方式 系统默认\r\n	var $mysign;         //加密结果（签名结果）\r\n	var $_input_charset; //字符编码格式\r\n	var $transport;      //访问模式\r\n\r\n	/**构造函数\r\n	*从配置文件中初始化变量\r\n	*$partner 合作身份者ID\r\n	*$security_code 安全校验码\r\n	*$sign_type 加密类型\r\n	*$_input_charset 字符编码格式\r\n	*$transport 访问模式\r\n	 */\r\n	function alipay_notify($partner,$security_code,$sign_type,$_input_charset = "GBK",$transport= "https") {\r\n\r\n		$this->transport = $transport;\r\n		if($this->transport == "https") {\r\n			$this->gateway = "https://www.alipay.com/cooperate/gateway.do?";\r\n		}else {\r\n			$this->gateway = "http://notify.alipay.com/trade/notify_query.do?";\r\n		}\r\n		$this->partner          = $partner;\r\n		$this->security_code    = $security_code;\r\n		$this->mysign           = "";\r\n		$this->sign_type        = $sign_type;\r\n		$this->_input_charset   = $_input_charset;\r\n	}\r\n\r\n	/********************************************************************************/\r\n\r\n	/**对notify_url的认证\r\n	*返回的验证结果：true/false\r\n	 */\r\n	function notify_verify() {\r\n		//获取远程服务器ATN结果，验证是否是支付宝服务器发来的请求\r\n		if($this->transport == "https") {\r\n			$veryfy_url = $this->gateway. "service=notify_verify" ."&partner=" .$this->partner. "&notify_id=".$_POST["notify_id"];\r\n		} else {\r\n			$veryfy_url = $this->gateway. "partner=".$this->partner."&notify_id=".$_POST["notify_id"];\r\n		}\r\n		$veryfy_result = $this->get_verify($veryfy_url);\r\n\r\n		//生成签名结果\r\n		if(empty($_POST)) { //判断POST来的数组是否为空\r\n			return false;\r\n		}\r\n		else {\r\n			$post          = para_filter($_POST); //对所有POST返回的参数去空\r\n			$sort_post     = arg_sort($post); //对所有POST反馈回来的数据排序\r\n			$this->mysign  = build_mysign($sort_post,$this->security_code,$this->sign_type);   //生成签名结果\r\n	\r\n			//写日志记录\r\n			log_result("notify_verify_result=".$veryfy_result."\\n veryfy_url=$veryfy_url \\n notify_url_log:sign=".$_POST["sign"]."&mysign=".$this->mysign."\\n".create_linkstring($sort_post));\r\n	\r\n			//判断veryfy_result是否为ture，生成的签名结果mysign与获得的签名结果sign是否一致\r\n			//$veryfy_result的结果不是true，与服务器设置问题、合作身份者ID、notify_id一分钟失效有关\r\n			//mysign与sign不等，与安全校验码、请求时的参数格式（如：带自定义参数等）、编码格式有关\r\n			if (preg_match("/true$/i",$veryfy_result) && $this->mysign == $_POST["sign"]) {\r\n				return true;\r\n			} else {\r\n				return false;\r\n			}\r\n		}\r\n	}\r\n\r\n	/********************************************************************************/\r\n\r\n	/**对return_url的认证\r\n	*return 验证结果：true/false\r\n	 */\r\n	function return_verify() {\r\n		//获取远程服务器ATN结果，验证是否是支付宝服务器发来的请求\r\n		if($this->transport == "https") {\r\n			$veryfy_url = $this->gateway. "service=notify_verify" ."&partner=" .$this->partner. "&notify_id=".$_GET["notify_id"];\r\n		} else {\r\n			$veryfy_url = $this->gateway. "partner=".$this->partner."&notify_id=".$_GET["notify_id"];\r\n		}\r\n		$veryfy_result = $this->get_verify($veryfy_url);\r\n\r\n		//生成签名结果\r\n		if(empty($_GET)) {  //判断GET来的数组是否为空\r\n			return false;\r\n		}\r\n		else {\r\n			$get          = para_filter($_GET);  //对所有GET反馈回来的数据去空\r\n			$sort_get     = arg_sort($get);    //对所有GET反馈回来的数据排序\r\n			$this->mysign  = build_mysign($sort_get,$this->security_code,$this->sign_type);	//生成签名结果\r\n	\r\n			//写日志记录\r\n			log_result("return_verify_result=".$veryfy_result."\\nveryfy_url=$veryfy_url\\n return_url_log:sign=".$_GET["sign"]."&mysign=".$this->mysign."\\n".create_linkstring($sort_get));\r\n	\r\n			//判断veryfy_result是否为ture，生成的签名结果mysign与获得的签名结果sign是否一致\r\n			//$veryfy_result的结果不是true，与服务器设置问题、合作身份者ID、notify_id一分钟失效有关\r\n			//mysign与sign不等，与安全校验码、请求时的参数格式（如：带自定义参数等）、编码格式有关\r\n			if (preg_match("/true$/i",$veryfy_result) && $this->mysign == $_GET["sign"]) {			\r\n				return true;\r\n			}else {\r\n				return false;\r\n			}\r\n		}\r\n	}\r\n\r\n	/********************************************************************************/\r\n\r\n	/**获取远程服务器ATN结果\r\n	*$url 指定URL路径地址\r\n	*return 服务器ATN结果集\r\n	 */\r\n	function get_verify($url,$time_out = "60") {\r\n		$urlarr     = parse_url($url);\r\n		$errno      = "";\r\n		$errstr     = "";\r\n		$transports = "";\r\n		if($urlarr["scheme"] == "https") {\r\n			$transports = "ssl://";\r\n			$urlarr["port"] = "443";\r\n		} else {\r\n			$transports = "tcp://";\r\n			$urlarr["port"] = "80";\r\n		}\r\n		$fp=@fsockopen($transports . $urlarr[\'host\'],$urlarr[\'port\'],$errno,$errstr,$time_out);\r\n		if(!$fp) {\r\n			die("ERROR: $errno - $errstr<br />\\n");\r\n		} else {\r\n			fputs($fp, "POST ".$urlarr["path"]." HTTP/1.1\\r\\n");\r\n			fputs($fp, "Host: ".$urlarr["host"]."\\r\\n");\r\n			fputs($fp, "Content-type: application/x-www-form-urlencoded\\r\\n");\r\n			fputs($fp, "Content-length: ".strlen($urlarr["query"])."\\r\\n");\r\n			fputs($fp, "Connection: close\\r\\n\\r\\n");\r\n			fputs($fp, $urlarr["query"] . "\\r\\n\\r\\n");\r\n			while(!feof($fp)) {\r\n				$info[]=@fgets($fp, 1024);\r\n			}\r\n			fclose($fp);\r\n			$info = implode(",",$info);\r\n			return $info;\r\n		}\r\n	}\r\n\r\n	/*****************************************/\r\n\r\n}\r\n\r\nif(isset($_GET[\'_checkFileErr\']) and $_GET[\'_checkFileErr\']==\'Y\'){\r\n	echo \'[Check OK]\';\r\n}\r\n?>', '2010-12-15 15:10:27', '');
INSERT INTO site_paymode (paymode_id, paymode_title, paymode_stat, paymode_name, paymode_type, paymode_account, paymode_logo, paymode_api_id, paymode_api_key, paymode_api_code, paymode_addtime, paymode_remark) VALUES (2001, '工商银行', 0, '测试的', 1, '33333333333333333333', 'pay1001_logo.gif', '', '', '', '2010-12-17 15:25:08', '即时到账');
INSERT INTO site_paymode (paymode_id, paymode_title, paymode_stat, paymode_name, paymode_type, paymode_account, paymode_logo, paymode_api_id, paymode_api_key, paymode_api_code, paymode_addtime, paymode_remark) VALUES (3001, '上门付款', 0, '', 0, '上门付款', NULL, '', '', '', '2010-12-17 15:33:07', '地址：成都市XX区XX路X号XX室');


CREATE TABLE `site_paynotify` (
  `log_id` int(10) NOT NULL auto_increment,
  `log_paymode_id` int(10) NOT NULL,
  `log_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `log_text` varchar(10000) default NULL,
  PRIMARY KEY  (`log_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=10002 ;


CREATE TABLE `site_user` (
  `user_id` int(10) NOT NULL auto_increment,
  `user_name` varchar(80) default NULL,
  `user_password` varchar(32) default NULL,
  `user_takecode` VARCHAR(32) DEFAULT NULL,
  `user_signkey` varchar(32) default NULL,
  `user_type` int(10) NOT NULL default '0',
  `user_stat` tinyint(1) NOT NULL default '0',
  `user_level` tinyint(1) default '0',
  `user_config` varchar(250) default NULL,
  `user_limit` varchar(100) default NULL,
  `user_checktype` int(10) NOT NULL default '0',
  `user_nation` varchar(10) default NULL,
  `user_province` tinyint(3) NOT NULL default '0',
  `user_funddate` date default NULL,
  `user_regdate` datetime NOT NULL default '0000-00-00 00:00:00',
  `user_regip` varchar(15) default NULL,
  `user_logdate` datetime NOT NULL default '0000-00-00 00:00:00',
  `user_logip` varchar(15) default NULL,
  `user_logtimes` int(10) NOT NULL default '0',
  `user_errdate` date NOT NULL default '0000-00-00',
  `user_errtimes` int(11) NOT NULL default '0',
  `user_com` varchar(250) default NULL,
  `user_compid` varchar(60) default NULL,
  `user_compic` varchar(60) default NULL,
  `user_realname` varchar(30) default NULL,
  `user_pid` varchar(30) default NULL,
  `user_pidpic` varchar(60) default NULL,
  `user_mobile` varchar(50) default NULL,
  `user_qq` varchar(50) default NULL,
  `user_tel` varchar(50) default NULL,
  `user_addr` varchar(250) default NULL,
  `user_post` varchar(6) default NULL,
  `user_linkman2` varchar(30) default NULL,
  `user_mobile2` varchar(50) default NULL,
  `user_tel2` varchar(50) default NULL,
  `user_remark` varchar(255) default NULL,
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `user_name` (`user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=10002 ;


INSERT INTO `site_user` (`user_id`, `user_name`, `user_password`, `user_type`, `user_stat`, `user_level`, `user_config`, `user_checktype`, `user_nation`, `user_province`, `user_funddate`, `user_regdate`, `user_regip`, `user_logdate`, `user_logip`, `user_logtimes`, `user_errdate`, `user_errtimes`, `user_com`, `user_compid`, `user_compic`, `user_realname`, `user_pid`, `user_pidpic`, `user_mobile`, `user_qq`, `user_tel`, `user_addr`, `user_post`, `user_linkman2`, `user_mobile2`, `user_tel2`, `user_remark`) VALUES (10001, 'test', '098f6bcd4621d373cade4e832627b4f6', 9, 0, 0, '', 0, NULL, 2, '2011-01-20', '0000-00-00 00:00:00', NULL, '2011-03-14 10:31:04', '127.0.0.1', 39, '2011-02-10', 1, 'test1', 'test2', NULL, '测试账号3', 'test4', NULL, '13011112222', 'bb', 'aa', 'ccc', 'ddd', 'eee', 'fff', 'gggg', '联系电话111111');


CREATE TABLE `site_user_log` (
  `log_id` int(11) NOT NULL auto_increment,
  `user_id` int(10) NOT NULL default '0',
  `admin_id` int(10) NOT NULL default '0',
  `log_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `log_type` enum('admin','user','rename') default 'user',
  `log_info` text,
  PRIMARY KEY  (`log_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 PACK_KEYS=0 AUTO_INCREMENT=10001 ;

